<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

if($_GET['borrar']) {

	$temp=array();
	
	foreach($_SESSION['entrada'] as $entrada) {
		if( $entrada['pedido']!=$_GET['pedido'] || $entrada['lineaPedido']!=$_GET['lineaPedido'] )
			$temp[]=$entrada;
	}
	
	$_SESSION['entrada']=$temp;
}

if($_POST['numAlbaran'] && $_POST['fechaRecepcion']) {

	$content='*PXTmpRecepcionPedidoSGA'.PHP_EOL;
	$content.='Empresa='.$_SESSION['empresa'].PHP_EOL;
	$content.='Proveedor='.$_SESSION['proveedor']['Proveedor'].PHP_EOL;
	$content.='Almacen='.$_SESSION['almacen'].PHP_EOL;
	
	$content.='NumAlbaranProveedor='.$_POST['numAlbaran'].PHP_EOL;
	$content.='FechaRecepcion='.fechaParaProxium($_POST['fechaRecepcion']).PHP_EOL;
	
	foreach($_SESSION['entrada'] as $entrada) {
	
		$content.='*PXTmpRecepcionPedidoSGALin'.PHP_EOL;
		$content.='Empresa='.$_SESSION['empresa'].PHP_EOL;
		$content.='Proveedor='.$_SESSION['proveedor']['Proveedor'].PHP_EOL;
		$content.='Almacen='.$_SESSION['almacen'].PHP_EOL;
		$content.='Pedido='.$entrada['pedido'].PHP_EOL;
		$content.='LineaPedido='.$entrada['lineaPedido'].PHP_EOL;
		$content.='Cantidad='.$entrada['cantidad'].PHP_EOL;
		
		$orden=1;
		
		foreach($entrada['detalle'] as $detalle) {
		
			$content.='*PXTmpRecepcionPedidoSGADet'.PHP_EOL;
			$content.='Orden='.$orden.PHP_EOL;
			$content.='Lote='.$detalle['lote'].PHP_EOL;
			$content.='Cantidad='.$detalle['cantidad'].PHP_EOL;
			
			$orden++;
		
		}
	
	}
	
	$content.='*FIN';

	//echo "<p style='text-align:left;margin-left:50px'>".nl2br($content)."</p>";
	
	$resultado=EnviarDatos($wsUsuario,$wsClave,base64_encode(utf8_decode($content)));
	
	//echo "<p>RESULTADO OBTENIDO</p>";
	//print_r($resultado['EnviarDatosResult']);
	
	$resultadoFinal=explode('#',$resultado['EnviarDatosResult']);
	
	if($resultadoFinal[0]==1) {
		unset($_SESSION['proveedor']);
		unset($_SESSION['entrada']);
		unset($_SESSION['entradaDetalle']);
		?>
        <p><?php echo $resultadoFinal[1]; ?></p>
		<p><input type="submit" name="botonInicio" id="botonInicio" value="Nueva Recepción" class="boton"/></p>
		<?php
	}
	else {
		?>
        <p class="error">ERROR: <?php echo $resultadoFinal[1]; ?></p>
		<p><input type="submit" name="botonVolver" id="botonVolver" value="Volver a editar Albarán" class="boton"/></p>
    	<p><input type="submit" name="botonCancelarCompletamente" id="botonCancelarCompletamente" value="Cancelar" class="boton"/></p>
		<?php
	}
	?>
    <script>
	
		$(document).ready(function() {
	
			$('#botonInicio').on("click",function(e){
		
				e.preventDefault();
				window.location="recepcionar-productos.php?cancelar=si";
				
			});
			
			$('#botonVolver').on("click",function(e){
		
				e.preventDefault();
				window.location="recepcionar-albaran.php";
			});
			
			$('#botonCancelarCompletamente').on("click",function(e){
		
				e.preventDefault();
				confirm('Atencion: Se va a cancelar y borrar todo lo introducido en este albarán.').done( function(){
					$('#popupCargando').show();
					window.location="recepcionar-productos.php?cancelar=si";
				});
			});
	
		});
	
	</script>
    <?php

}
else {

	include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
	
	//print_r($_SESSION['entrada']);
	
	?>
	<h2>Albarán de Recepción</h2>
	<h3><?php echo $_SESSION['proveedor']['Nombre']; ?></h3>
	
	<?php if(count($_SESSION['entrada'])>0) { ?>
        <table class="tablaFormateada">
            <tr>
                <th>Pedido Nº</th>
                <th>Código</th>
                <th>Producto</th>
              <th>Cantidad</th>
                <th></th>
            </tr>
            <?php foreach($_SESSION['entrada'] as $entrada) { ?>
            <tr>
                <td valign="top" style="padding-top:20px"><?php echo $entrada['pedido']; ?></td>
                <td valign="top" style="padding-top:20px"><?php echo $entrada['producto']; ?></td>
                <td align="left" valign="top" style="padding-top:20px">
                    <?php echo $entrada['descripcion']; ?>
                        <?php if(count($entrada['detalle'])>0) { ?>
                        <div style="clear:both;overflow:hidden;border-bottom:1px solid #666666;font-size:0.8em;margin-top:10px;width:250px"><div style="float:left;width:200px">Lote</div><div style="float:left;width:50px;text-align:right">Cant.</div></div>
                            <?php foreach($entrada['detalle'] as $detalle) { ?>
                                <div style="clear:both;overflow:hidden;"><div style="float:left;width:200px"><?php echo $detalle['lote']; ?></div><div style="float:left;width:50px;text-align:right"><?php echo number_format($detalle['cantidad'],0,',','.'); ?></div></div>
                            <?php } ?>
                        <?php } ?>
                </td>
                <td align="right" valign="top" style="padding-top:20px"><?php echo number_format($entrada['cantidad'],0,',','.'); ?></td>
                <td valign="top">
                <form id="form1" name="form1" method="post" action="?borrar=si&pedido=<?php echo $entrada['pedido']; ?>&lineaPedido=<?php echo $entrada['lineaPedido']; ?>">
                  <input type="image" name="imageField" id="imageField" src="<?php echo DIR_IMAGENES; ?>/x.png"width="50" height="50" />
                </form>
                </td>
            </tr>
            <?php } ?>
        </table>
	<?php } else { ?>
		<p>No hay ningúna entrada registrada.</p>
	<?php } ?>
	<form id="formularioContinuar" name="formularioContinuar" method="post" action="recepcionar-productos.php">
		  <p><input type="submit" name="botonContinuar" id="botonContinuar" value="Volver y continuar" class="mostrarCargando boton"/></p>
	</form>
	
	<form id="formularioFinalizar" name="formularioFinalizar" method="post" action="">
		<table style="margin:0 auto" cellpadding="10" border="0" cellspacing="0">
		<tr>
			<td>
			<p>Nº Albarán Proveedor:<br />
			<input name="numAlbaran" type="text" class="campo" id="numAlbaran" size="12" />
			<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarNumAlbaran"/></p>
			</td>
			<td>
			<p>Fecha de Albarán Proveedor:<br />
			<input name="fechaRecepcion" type="date" class="campo" id="fechaRecepcion" value=""  />
			</p>
		  </td>
		</tr>
		</table>
		<p><input type="submit" name="botonFinalizar" id="botonFinalizar" value="CERRAR ALBARÁN" class="boton"/></p>
	</form>
		
	<script>
	
		$(document).ready(function() {
			
			$('#numAlbaran').on("click",function(){
				
				$('#teclado').show();
				$('#valor').val( $('#numAlbaran').val() );
				$('#valorOculto').val( $('#numAlbaran').val() );
				$('#enter').attr('campoValor','numAlbaran');
				
			});
			
			$('#borrarNumAlbaran').on("click",function(){
			
				$("#numAlbaran").val('');
				$("#numAlbaran").focus();
				
				cargarPedidos();
				
			});
			
			$('#botonFinalizar').on("click",function(e){
			
				e.preventDefault();
				
				if($("#numAlbaran").val()=='') {
					alert("Por favor, indica el Número de Albarán del Proveedor.");
					$("#numAlbaran").focus();
				}
				else if($("#fechaRecepcion").val()=='') {
					alert("Por favor, indica la fecha del Albarán del Proveedor.");
					$("#fechaRecepcion").focus();
				}
				else {
					$('#popupCargando').show();
					$("#formularioFinalizar").submit();
				}
				
			});

		});
		
	</script>
		
	<?php
}

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
